---
title: Welcome!
layout: home
cover: ./cover.png
---

<!-- {{< adm type="err" >}} -->
<!-- **Warning:** an individual is currently attempting to impersonate me on XMPP and -->
<!-- stir up trouble. They've been spamming various groups and posting transphobic, -->
<!-- homophobic, and racist content, as well as sending extremely graphic imagery. -->
<!-- **This individual is not me.** I do have `amolith@nixnet.services`, but my -->
<!-- primary XMPP account is `amolith@secluded.site`. If there's any doubt whether a -->
<!-- particular JID is me, please contact `amolith@secluded.site`. -->
<!-- {{< /adm >}} -->

## Welcome!

My online pseudonym is Amolith. However, if we end up meeting in person, I would
be happy to introduce myself as myself. I am a musician, developer, sysadmin,
co-host of the [Linux Lads] and [Linux Downtime] podcasts, small business owner,
and founder of not-for-profit [NixNet.][nn] I also work with [MBOA,][m] a wonderful
co-op that creates [JMP.chat][JMP] (self-promo ahead). [JMP] gives you a regular phone
number that people can call and text and you receive those on any device you
have [an XMPP client] on. Optionally included with the $5/mo subscription is your
own [Snikket] server for yourself, family, and friends.

[Linux Lads]: https://linuxlads.com
[Linux Downtime]: https://linuxdowntime.com
[nn]: https://nixnet.services
[m]: https://mboa.dev
[JMP]: https://jmp.chat
[an XMPP client]: https://xmpp.org/software/?platform=linux
[Snikket]: https://snikket.org/hosting/

```text
-----BEGIN GEEK CODE BLOCK-----
GCS/PA d(+) s+:++ a-- C++(+++) UL+++$ P
L+++>++++$ E+ W++ N++ o? K- w--- O? M-- V?  PS+++
PE- Y++ !PGP t 5? X R+ tv+ b++ DI++ D+ G e++ h-
r++ y+
------END GEEK CODE BLOCK------
```

[Decode my geek code above][decode] or [create your own.][create]

[decode]: http://www.joereiss.net/geek/ungeek.html
[create]: https://geekcode.xyz/geek.html

## Blog

I will occasionally blog here and that content can be found on the [Posts
page.][posts] Below are a specific few posts that give a good overview of what I
typically write about.

[posts]: /posts

- [Pull vs push: intentional notifications](/pull-vs-push-intentional-notifications/)
- [(Ab)using mesh networks for easy remote support](/abusing-mesh-networks-for-easy-remote-support)
- [Replacing YouTube & Invidious](/replacing-youtube-invidious)
- [Typing International Characters](/typing-international-characters)

## About the site

Secluded.Site was hand-written entirely by me and is generated with
[Hugo.][hugo] [The theme][theme] is public and available for anyone to use. I'll
eventually get it added to [the themes directory][dir] once I clean it up a
little (patches welcome!), but until then, you can simply clone the repo and
copy the theme to your site.

[hugo]: https://gohugo.io/
[theme]: https://git.nixnet.services/Amolith/secluded/src/branch/master/themes/secluded
[dir]: https://themes.gohugo.io/

All of the code is released under the [MIT license] and the content here is
[CC-BY 4.0.][ccby] Source for everything is available on my [Forgejo
instance.][forgejo]

[MIT license]: https://tldrlegal.com/license/mit-license
[ccby]: https://creativecommons.org/licenses/by/4.0/
[forgejo]: https://git.nixnet.services/Amolith/secluded

## Contact

I can be contacted through many methods but the most reliable, instance, and my
most preferred will _always_ be XMPP. In order of preference…

1. **XMPP:** `amolith@secluded.site`
2. **Email:** `amolith@secluded.site`  
   If you wanted encrypted email, my [age] public keys are [here on my
   website.](/age.keys)
3. **IRC:** `amolith` on [Libera] and [NixNet]
4. **Matrix:** `@_bifrost_amolith=40secluded.site:aria-net.org`  
   If you absolutely must contact me over Matrix, do so through an XMPP bridge
   like the one above.

[age]: https://github.com/FiloSottile/age
[Libera]: https://libera.chat/
[NixNet]: https://docs.nixnet.services/IRC

{{< adm type="tip" >}}
If you choose to contact me over XMPP, please use OMEMO encryption and manually
verify fingerprints below. Any other keys should be marked as _untrusted_.
{{< /adm >}}

```text
Desktop:   356C7395 B6A79738 DCE819CF E49F3146 9DD3E4E3 C753CF13 140358B8 7540A969
Framework: 667DB93D 3E0BCF27 EF480A54 2B86E8A9 59DD72D8 AB1E603E E0BB4307 E419A62F
Mobile:    F11286AC CB7B19F5 80D4CAB7 132C1938 99561BF9 9A3430D1 B5621714 0A39B916
```
